DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRSOPInstanceReferenceList::InstanceStruct Struct Reference

Internal structure defining the instance list items. More...

## Public Member Functions
| InstanceStruct (const OFString &sopClassUID, const OFString &instanceUID)
| constructor
void | clear ()
| clear additional information

## Public Attributes
const OFString | SOPClassUID
| SOP Class UID (VR=UI, type 1)
const OFString | InstanceUID
| SOP Instance UID (VR=UI, type 1)
DSRCodedEntryValue | PurposeOfReference
| Purpose of Reference Code Sequence (VR=SQ, type 3).

## Detailed Description

Internal structure defining the instance list items.

## Constructor & Destructor Documentation

## ◆ InstanceStruct()

DSRSOPInstanceReferenceList::InstanceStruct::InstanceStruct | ( | const OFString & | sopClassUID,
|  | const OFString & | instanceUID )

constructor

Parameters

  sopClassUID | SOP class UID
  instanceUID | SOP instance UID

## Member Data Documentation

## ◆ PurposeOfReference

DSRCodedEntryValue DSRSOPInstanceReferenceList::InstanceStruct::PurposeOfReference

Purpose of Reference Code Sequence (VR=SQ, type 3).

NB: According to the DICOM standard, "One or more Items are permitted in this sequence." However, the current implementation only supports a single item. Also see documentation of DSRCodedEntryValue::readSequence().

The documentation for this struct was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrsoprf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2